Skip to main content
PUT
Update a message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

messageId
string
required

ID of a message A message ID

Maximum string length: 30
Example:

"a85dca058f5b585f86a29f14"

Body

application/json

Message object that needs to be updated

data
object

A custom object for storing message. The size of this object must be less than 10 kb.

Example:
metadata
object

A custom object for storing the other data. The size of this object must be less than 20 kb.

Example:
tags
string[]

List of tags for searching

Maximum array length: 10
Maximum string length: 30
Example:
mentionedUsers
object[]

List of mentioned users

Response

Message payload

The returned payload of message(s)

messages
object[]

The list of message

messageFeeds
object[]

List of message feeds

files
object[]

The list of file

users
object[]

The list of user